> ## Documentation Index
> Fetch the complete documentation index at: https://docs.overflow.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Donor Profile

> Creates a new Donor Profile.



## OpenAPI

````yaml https://server.stage.overflow.co/api/docs/openapi.json post /api/v3/donors
openapi: 3.0.0
info:
  title: Overflow Open API
  description: |

    The documentation for the Overflow Open APIs.

    To access the OpenAPI spec in JSON/YAML format, navigate to:

    * `/api/docs/openapi.json`
    * `/api/docs/openapi.yaml`
  version: '3.0'
  contact: {}
servers:
  - url: https://server.stage.overflow.co
    description: API server
security: []
tags: []
paths:
  /api/v3/donors:
    post:
      tags:
        - Donors
      summary: Create Donor Profile
      description: Creates a new Donor Profile.
      operationId: OpenApiDonorProfilesController_createDonorProfile
      parameters: []
      requestBody:
        required: true
        description: Parameters to create a new Donor Profile
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDonorProfileParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateDonorProfileResponse'
      security:
        - ClientId: []
          ApiKey: []
components:
  schemas:
    CreateDonorProfileParams:
      type: object
      properties:
        email:
          type: string
          format: email
          description: The email address of the donor
          example: john.doe@example.com
        firstName:
          type: string
          description: The first name of the donor
          example: John
        lastName:
          type: string
          description: The last name of the donor
          example: Doe
        mailingAddress:
          type: object
          properties:
            city:
              type: string
              minLength: 1
            country:
              type: string
            line1:
              type: string
              minLength: 1
            line2:
              type: string
            state:
              type: string
              minLength: 1
            timezone:
              type: string
            zip:
              type: string
              pattern: ^\d{5}(-\d{4})?$
          required:
            - city
            - line1
            - state
            - zip
          description: The mailing address of the donor
          example:
            city: Anytown
            line1: 123 Main St
            line2: Apt 1
            state: CA
            zip: '12345'
        phone:
          type: string
          description: The phone number of the donor
          example: '+1234567890'
      required:
        - firstName
        - lastName
    CreateDonorProfileResponse:
      type: object
      properties:
        data:
          type: string
          description: The id of the new donor profile
      required:
        - data
  securitySchemes:
    ClientId:
      type: apiKey
      in: header
      name: x-client-id
      description: Client ID for API authentication
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for API authentication

````